Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC1_State

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC1_State

Direct Known Subclasses:
  `ObjectiveC2_State`

public class ObjectiveC1_State extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Set<Long>`
  `beenApplied`
  If an index is contained in this set, then the corresponding data structure has been applied to the program.
  `final ObjectiveC1_TypeEncodings`
  `encodings`
  `final boolean`
  `is32bit`
  `final boolean`
  `is64bit`
  `final boolean`
  `isARM`
  `final boolean`
  `isPowerPC`
  `final boolean`
  `isX86`
  `final Map<Address,ObjectiveC_Method>`
  `methodMap`
  A map of method addresses to mangled signature strings.
  `final TaskMonitor`
  `monitor`
  `final int`
  `pointerSize`
  `final Program`
  `program`
  `final Set<Address>`
  `thumbCodeLocations`
  If an address is contained in this set, then it is thumb code.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC1_State(Program program, TaskMonitor monitor, CategoryPath categoryPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `List<String>`
  `getObjectiveCSectionNames()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### beenApplied

    public final Set<Long> beenApplied
    If an index is contained in this set, then the corresponding data structure has been applied to the program.

  - ### methodMap

    public final Map<Address,ObjectiveC_Method> methodMap
    A map of method addresses to mangled signature strings.

  - ### thumbCodeLocations

    public final Set<Address> thumbCodeLocations
    If an address is contained in this set, then it is thumb code.

  - ### program

    public final Program program

  - ### is32bit

    public final boolean is32bit

  - ### is64bit

    public final boolean is64bit

  - ### isARM

    public final boolean isARM

  - ### isPowerPC

    public final boolean isPowerPC

  - ### isX86

    public final boolean isX86

  - ### pointerSize

    public final int pointerSize

  - ### monitor

    public final TaskMonitor monitor

  - ### encodings

    public final ObjectiveC1_TypeEncodings encodings

- ## Constructor Details

  - ### ObjectiveC1_State

    public ObjectiveC1_State(Program program, TaskMonitor monitor, CategoryPath categoryPath)

- ## Method Details

  - ### dispose

    public void dispose()

  - ### getObjectiveCSectionNames

    public List<String> getObjectiveCSectionNames()